#!/bin/sh
#/****************************************************************************/
#/* IPTABLES SETUP SCRIPT for PSA-MMB LAN                                    */
#/*                                          Copyright FUJITSU LTD 2009      */
#/*                                                                          */
#/* $Name: SLINPSA-2_0_1-1 $                                                     */
#/****************************************************************************/
# Development date : Fri OCT 16 2009

#==============================================================================
# This is the script to set the firewall for PSA-MMB LAN.
# Only FJSVpsa Installer is permitted to execute this script.
# This script will return as follows.
#      0 : End successfully
#      1 : Abnormal end
#==============================================================================

MARK="##The following are settings for PSA-MMB LAN. Please do not change this comment.##"

for file in $(find /etc/sysconfig/network-scripts -name "ifcfg-*" ! -name "*.*" -print)
  do
  grep -q "$MARK" $file
  if [ $? -eq 0 ]
      then
      IFNAME=$(basename $file|sed "s/ifcfg-//")
      break
  fi
done

if [ -z $IFNAME ]
    then
    echo "couldn't find the PSA-MMB LAN"
    exit 1
fi

iptables -L PSA-MMB_LAN > /dev/null 2>&1
if [ $? -eq 0 ]
then
    echo "already set"
    exit 0
fi

iptables -N PSA-MMB_LAN
iptables -A PSA-MMB_LAN -i lo -j ACCEPT
iptables -A PSA-MMB_LAN -o lo -j ACCEPT
iptables -A PSA-MMB_LAN -p icmp --icmp-type echo-request -o $IFNAME -j ACCEPT
iptables -A PSA-MMB_LAN -p icmp --icmp-type echo-reply -i $IFNAME -j ACCEPT
iptables -A PSA-MMB_LAN -p udp -i $IFNAME --dport snmp -j ACCEPT
iptables -A PSA-MMB_LAN -p udp -o $IFNAME --sport snmp -j ACCEPT
iptables -A PSA-MMB_LAN -p tcp -i $IFNAME --dport fj-webgate -j ACCEPT
iptables -A PSA-MMB_LAN -p tcp -o $IFNAME --sport fj-webgate -j ACCEPT
iptables -A PSA-MMB_LAN -p tcp -i $IFNAME --sport 5000 -j ACCEPT
iptables -A PSA-MMB_LAN -p tcp -o $IFNAME --dport 5000 -j ACCEPT
iptables -A INPUT -j PSA-MMB_LAN
iptables -A OUTPUT -j PSA-MMB_LAN

/sbin/service iptables save
